Debian Bug report logs - #660619
ITP: pry -- powerfull irb alternative and runtime developer console

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Youhei SASAKI <uwabami@gfd-dennou.org>

Date: Mon, 20 Feb 2012 10:12:02 UTC

Owned by: Youhei SASAKI <uwabami@gfd-dennou.org>

Severity: wishlist

Fixed in version pry/0.9.12.2-1

Done: Youhei SASAKI <uwabami@gfd-dennou.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#660619; Package wnpp. (Mon, 20 Feb 2012 10:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
New Bug report received and forwarded. Copy sent to uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 20 Feb 2012 10:12:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-pry -- powerfull irb alternative and runtime developer console
Date: Mon, 20 Feb 2012 19:10:09 +0900
Package: wnpp
Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
Severity: wishlist

* Package name    : ruby-pry
  Version         : 0.9.8.2
  Upstream Author : John Mair (banisterfiend)
* URL or Web page : http://pry.github.com
* License         : Expat
  Description     : powerfull irb alternative and runtime developer console

 Pry is a powerful alternative to the standard IRB shell for Ruby. It is
 written from scratch to provide a number of advanced features, some of
 these include:
 .
  - Source code browsing (including core C source with the pry-doc gem)
  - Documentation browsing
  - Live help system
  - Open methods in editors (`edit-method Class#method`)
  - Syntax highlighting
  - Command shell integration (start editors, run git, and rake from
    within Pry)
  - Gist integration
  - Navigation around state (`cd`, `ls` and friends)
  - Runtime invocation (use Pry as a developer console or debugger)
  - Exotic object support (BasicObject instances, IClasses, ...)
  - A Powerful and flexible command system
  - Ability to view and replay history
  - Many convenience commands inspired by IPython, Smalltalk and other
    advanced  REPLs

---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#660619; Package wnpp. (Mon, 20 Feb 2012 10:46:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Mon, 20 Feb 2012 10:46:29 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: Youhei SASAKI <uwabami@gfd-dennou.org>, 660619@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, debian-ruby@lists.debian.org
Subject: Re: Bug#660619: ITP: ruby-pry -- powerfull irb alternative and runtime developer console
Date: Mon, 20 Feb 2012 11:41:20 +0100
On Mon, Feb 20, 2012 at 07:10:09PM +0900, Youhei SASAKI wrote:
> Package: wnpp
> Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
> Severity: wishlist
> 
> * Package name    : ruby-pry

As this is an application, I would suspect it to be called 'pry'.

Paul

-- 
Using the Power of Debian GNU/Linux  | E-mail: paulvt@debian.org
Jabber/GTalk: paul@luon.net          | GnuPG key ID: 0x50064181




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#660619; Package wnpp. (Mon, 20 Feb 2012 10:46:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Mon, 20 Feb 2012 10:46:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#660619; Package wnpp. (Wed, 22 Feb 2012 23:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 Feb 2012 23:54:09 GMT) Full text and rfc822 format available.

Message #20 received at 660619@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Paul van Tilburg <paulvt@debian.org>
Cc: 660619@bugs.debian.org, debian-ruby@lists.debian.org
Subject: Re: Bug#660619: ITP: ruby-pry -- powerfull irb alternative and runtime developer console
Date: Thu, 23 Feb 2012 08:43:53 +0900
Hi,

At Mon, 20 Feb 2012 11:41:20 +0100,
Paul van Tilburg <paulvt@debian.org> wrote:
>
> On Mon, Feb 20, 2012 at 07:10:09PM +0900, Youhei SASAKI wrote:
> > Package: wnpp
> > Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
> > Severity: wishlist
> >
> > * Package name    : ruby-pry
>
> As this is an application, I would suspect it to be called 'pry'.

Very thanks for your suggestion. I'll change package name and team
repositoy. These package are ready to be uploaded. Could you please
sponsor them?

  pry: Powerfull irb alternative and runtime developer console
  ruby-slop: Simple DSL for gathering options and parsing the command lineOpts
  ruby-method-source: Retrieve the sourcecode for a method as a Ruby string

The pry depends ruby-slop and ruby-method-source.

Best Wishes,
---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#660619; Package wnpp. (Thu, 23 Feb 2012 00:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bedwell, Jordon" <jordon@envygeeks.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Thu, 23 Feb 2012 00:03:12 GMT) Full text and rfc822 format available.

Message #25 received at 660619@bugs.debian.org (full text, mbox):

From: "Bedwell, Jordon" <jordon@envygeeks.com>
To: Youhei SASAKI <uwabami@gfd-dennou.org>, jrmair@gmail.com
Cc: Paul van Tilburg <paulvt@debian.org>, 660619@bugs.debian.org, debian-ruby@lists.debian.org
Subject: Re: Bug#660619: ITP: ruby-pry -- powerfull irb alternative and runtime developer console
Date: Wed, 22 Feb 2012 18:01:44 -0600
How do you plan to handle rapid updates? Yes, sometimes Pry can go
months without a proper build but sometimes it will only be mere days
and it's a rapidly evolving tool by developers for developers (I also
think this should be held off for at least a couple of months since a
new version is probably coming out soon) and unless you plan to also
package it's plugins you leave things wide open for a select few
plugins which are always built for the latest Pry including those who
might be hooking into newer hooks which Debians version will not have
if it's slow to update or it will be really out of sync with the wiki.
 If you guys put this in right now I believe you guys will be way out
of sync here soon too since there are a few planned major refactors to
Pry.


On Wed, Feb 22, 2012 at 5:43 PM, Youhei SASAKI <uwabami@gfd-dennou.org> wrote:
> Hi,
>
> At Mon, 20 Feb 2012 11:41:20 +0100,
> Paul van Tilburg <paulvt@debian.org> wrote:
>>
>> On Mon, Feb 20, 2012 at 07:10:09PM +0900, Youhei SASAKI wrote:
>> > Package: wnpp
>> > Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
>> > Severity: wishlist
>> >
>> > * Package name    : ruby-pry
>>
>> As this is an application, I would suspect it to be called 'pry'.
>
> Very thanks for your suggestion. I'll change package name and team
> repositoy. These package are ready to be uploaded. Could you please
> sponsor them?
>
>  pry: Powerfull irb alternative and runtime developer console
>  ruby-slop: Simple DSL for gathering options and parsing the command lineOpts
>  ruby-method-source: Retrieve the sourcecode for a method as a Ruby string
>
> The pry depends ruby-slop and ruby-method-source.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#660619; Package wnpp. (Mon, 27 May 2013 14:20:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Mon, 27 May 2013 14:20:12 GMT) Full text and rfc822 format available.

Message #30 received at 660619@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 660619@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ruby-pry: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:19 +0200
retitle 660619 RFP: ruby-pry -- powerfull irb alternative and runtime developer console
noowner 660619
tag 660619 - pending
thanks

Hi,

This is an automatic email to change the status of ruby-pry back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting ruby-pry, please send a mail to
<control@bugs.debian.org> with:

 retitle 660619 ITP: ruby-pry -- powerfull irb alternative and runtime developer console
 owner 660619 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <660619@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: ruby-pry -- powerfull irb alternative and runtime developer console' from 'ITP: ruby-pry -- powerfull irb alternative and runtime developer console' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:35:28 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Youhei SASAKI <uwabami@gfd-dennou.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:35:29 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: pry -- powerfull irb alternative and runtime developer console' from 'RFP: ruby-pry -- powerfull irb alternative and runtime developer console' Request was from Youhei SASAKI <uwabami@gfd-dennou.org> to control@bugs.debian.org. (Wed, 19 Jun 2013 09:36:09 GMT) Full text and rfc822 format available.

Owner recorded as Youhei SASAKI <uwabami@gfd-dennou.org>. Request was from Youhei SASAKI <uwabami@gfd-dennou.org> to control@bugs.debian.org. (Wed, 19 Jun 2013 09:36:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 18 Aug 2013 20:09:13 GMT) Full text and rfc822 format available.

Reply sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
You have taken responsibility. (Mon, 02 Sep 2013 16:03:29 GMT) Full text and rfc822 format available.

Notification sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 16:03:29 GMT) Full text and rfc822 format available.

Message #45 received at 660619-close@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: 660619-close@bugs.debian.org
Subject: Bug#660619: fixed in pry 0.9.12.2-1
Date: Mon, 02 Sep 2013 16:00:12 +0000
Source: pry
Source-Version: 0.9.12.2-1

We believe that the bug you reported is fixed in the latest version of
pry, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660619@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Youhei SASAKI <uwabami@gfd-dennou.org> (supplier of updated pry package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 08 Aug 2013 00:14:33 +0900
Source: pry
Binary: pry
Architecture: source all
Version: 0.9.12.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Youhei SASAKI <uwabami@gfd-dennou.org>
Description: 
 pry        - powerfull irb alternative and runtime developer console
Closes: 660619
Changes: 
 pry (0.9.12.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #660619)
Checksums-Sha1: 
 b48f403c3b086d3bcd190d8f2500f166bed98afa 2079 pry_0.9.12.2-1.dsc
 e54485d58516699235df100eb3f627e54109f959 199727 pry_0.9.12.2.orig.tar.gz
 36c9f111f5f6c1a856528176a955bd904b5c7a5a 2404 pry_0.9.12.2-1.debian.tar.gz
 cc8fe066294c5761e56c34bbf9171399eaa1295a 116902 pry_0.9.12.2-1_all.deb
Checksums-Sha256: 
 55631d8a6d6b4d052e88c7e43668abbb7ff270c5db7ecb425d4b4f5b85741e0a 2079 pry_0.9.12.2-1.dsc
 94819b56f4cd0e4c095cd1033358f0eb039d26bc12c9425f81b0375d48b0953d 199727 pry_0.9.12.2.orig.tar.gz
 0e7bc2370ecb9b28a637856c1bff80d2871bc67613f46935342e52faf6bd629d 2404 pry_0.9.12.2-1.debian.tar.gz
 ab4b92e60f620b9ad86f3e2b90d3e5dcde8cd767593f7fa4dbd1edd7d6d34e36 116902 pry_0.9.12.2-1_all.deb
Files: 
 2784d94435f8562b36982f95986cbb85 2079 ruby optional pry_0.9.12.2-1.dsc
 6ca9c749203924656084dda12e8f1ff5 199727 ruby optional pry_0.9.12.2.orig.tar.gz
 da0bf5393745fa7b64eb7dcc22e3adb7 2404 ruby optional pry_0.9.12.2-1.debian.tar.gz
 c5a868ce8d37455cceebcbec2d619976 116902 ruby optional pry_0.9.12.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSEMmRAAoJEHg5YZ3UOWaOqZoQAMX7klq7OzQtpvYlGEaXzUkH
X6I46B6b0xIP4hWRwLzzWF753ADAPUtmwYtwpi1mod4xAxvgcSj0DJjyZO8rHhVv
1IgRYlgJv3QYR+9RkSXiD7k0W+mR6NJLHZcr7Ao60bmnCtbbMERFHijzCuRb7Sy+
vvSgGWvZDcEddZbPLQkfd7Uf9v0+I6GG56R0IUYPzjHHaFXp1Hni9gnxoOfEGcuQ
jcJIPjc+l4J1GRp596RQVJ03e+RbQaSmB8+dcegGd/COuFew3v80FrO56AM/ABRn
7+szPuWxIbM0n9n07otKrLCvdQtsawRbaDGV6Pv2UNB55ZaMFu1YyTdS+nOGn1Rk
1v5+cJ6A0nSSyCPAc3FohCCa12vmLXIMV/1ZJaACoDxpDMAsshPkoTSJvnoR/JdS
9our2mKHQjv3+LlsrjWL6yOboTgM3fcfa/fXvTaUhaM42VxMkW0Ldya78DGMCOOp
F8JzPk1fm+S6qWYbvjsBp3EuUxFoPMO1GBLD9xZ6yNvaXK8yyLu5948+SIKRLCOb
ff/5AaPlGrs9BhRcjYwPVhADrvcIAZlOeq//zXHx/OfvT+qzWIdU4fXdYIVT1Nsu
dG48lN3noFQ5MnCfqwQwsBJK6oNZbPK2t7edZalNp1HlqKdIqUOmyJDdZfa/loGZ
2mtNBWvLk/F5UvdRnQrL
=69hy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:30:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:01:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.